Misaka.io | Docs
Misaka.io | Docs
API Documentation
Change password POST
Confirm email POSTLogout POSTRefresh user token POSTGet current user token GETGet current user token POST
Get team GETList team members GETGet current available teams GETUpdate Team PATCH
Add Team domain POSTDelete Team domain DELETEList Team domains GET
Add Team member POSTRemove Team member DELETEUpdate Team member PATCH
Get device details GETGroup devices for filtering GETList devices GETDevice metrics GET
List attachments for a device GET
List interfaces for a device GET
Port info GETList ports GETPort transceiver metrics GETPort usage metrics GET
List service billable ports GET
List services GET
List cross connects GET
Verify ASN ownership GET
Create IP announcements POSTDelete IP announcement DELETEGet IP announcements GETUpdate IP announcement PATCHUpload LOA file for BYOIP POST
Lighthouse
Network Flow Timeseries POST
Event Attachments GETEvent Detail Related GETEvent List All GETEvent List Related GETEvent List Related Timeseries GET
Shield Rules List GETShield Rules Update PUT
Timezone For Location GET
Get Filter Keys GET
Batch Update PTR Records POST
Create RecordSet POSTDelete RecordSet DELETEGet RecordSet GETUpdate RecordSet PUT
Create Zone POSTDelete Zone DELETEImport Zone POSTList Zones GET
Disable DNSSEC DELETEEnable DNSSEC POSTGet DNSSEC Configuration GET
List Recordsets GET
Get Zone Settings GETUpdate Zone Settings PUT
InfraDevices

Group devices for filtering

GET
/v3/infra/devices/group-by

Authorization

AuthorizationBearer <token>

Bearer is only available for WebApp. Please use API tokens for programmatic access.

In: header

Query Parameters

name?|

Name of the device

description?|

Description of the device

rack?array<string>|

Rack names

manufacturer?array<string>|

Manufacturer slugs

model?array<string>|

Device model names

position?|

Position in the rack

group_by*Group By

Value in

  • "rack"
  • "manufacturer"
  • "model"

Response Body

application/json

curl -X GET "https://example.com/v3/infra/devices/group-by?group_by=rack"
{  "key": "rack",  "values": [    {      "value": "string",      "label": "string",      "count": 0    }  ]}

How is this guide?

Last updated on 8/12/2026

Get device details GET

Previous Page

List devices GET

Next Page